use crate::types::Object;

pub enum AstNodeIter<'s> {
    // Document Nodes
    // Document(DocumentIter<'s>),
    // Heading(HeadingIter<'s>),
    // Section(SectionIter<'s>),
    // Elements
    // Paragraph(ParagraphIter<'s>),
    // PlainList(PlainListIter<'s>),
    // GreaterBlock(GreaterBlockIter<'s>),
    // DynamicBlock(DynamicBlockIter<'s>),
    // FootnoteDefinition(FootnoteDefinitionIter<'s>),
    // Comment(CommentIter<'s>),
    // Drawer(DrawerIter<'s>),
    // PropertyDrawer(PropertyDrawerIter<'s>),
    // Table(TableIter<'s>),
    // VerseBlock(VerseBlockIter<'s>),
    // CommentBlock(CommentBlockIter<'s>),
    // ExampleBlock(ExampleBlockIter<'s>),
    // ExportBlock(ExportBlockIter<'s>),
    // SrcBlock(SrcBlockIter<'s>),
    // Clock(ClockIter<'s>),
    // DiarySexp(DiarySexpIter<'s>),
    // Planning(PlanningIter<'s>),
    // FixedWidthArea(FixedWidthAreaIter<'s>),
    // HorizontalRule(HorizontalRuleIter<'s>),
    // Keyword(KeywordIter<'s>),
    // BabelCall(BabelCallIter<'s>),
    // LatexEnvironment(LatexEnvironmentIter<'s>),
    // Objects
    Bold(BoldIter<'s>),
    // Italic(ItalicIter<'s>),
    // Underline(UnderlineIter<'s>),
    // StrikeThrough(StrikeThroughIter<'s>),
    // Code(CodeIter<'s>),
    // Verbatim(VerbatimIter<'s>),
    // PlainText(PlainTextIter<'s>),
    // RegularLink(RegularLinkIter<'s>),
    // RadioLink(RadioLinkIter<'s>),
    // RadioTarget(RadioTargetIter<'s>),
    // PlainLink(PlainLinkIter<'s>),
    // AngleLink(AngleLinkIter<'s>),
    // OrgMacro(OrgMacroIter<'s>),
    // Entity(EntityIter<'s>),
    // LatexFragment(LatexFragmentIter<'s>),
    // ExportSnippet(ExportSnippetIter<'s>),
    // FootnoteReference(FootnoteReferenceIter<'s>),
    // Citation(CitationIter<'s>),
    // CitationReference(CitationReferenceIter<'s>),
    // InlineBabelCall(InlineBabelCallIter<'s>),
    // InlineSourceBlock(InlineSourceBlockIter<'s>),
    // LineBreak(LineBreakIter<'s>),
    // Target(TargetIter<'s>),
    // StatisticsCookie(StatisticsCookieIter<'s>),
    // Subscript(SubscriptIter<'s>),
    // Superscript(SuperscriptIter<'s>),
    // Timestamp(TimestampIter<'s>),
}

pub struct BoldIter<'s> {
    next: std::slice::Iter<'s, Object<'s>>,
}
